Subject: Re: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: Andrew Bower <[email-masked]>
Date: Sat, 24 Jan 2026 18:22:53 +0000

On Sat, Jan 24, 2026 at 06:14:06PM +0000, [email-masked] wrote:
> On Saturday, January 24th, 2026 at 10:19, Andrew Bower <[email-masked]> wrote:
> Thank you for that detailed explanation Andrew. Attached is /etc/init.d/.depend.start from the system.

Thanks for this!

It looks like a very simple setup and I can't see anything that might
resemble the A-B service combinations I was imagining.

> I have attached also the D-Bus system message output, from both 255.17-4 without initscript daemon/startup argument changes (255.17-4-unedited.dbus.log), and also with (255.17-4-edited.dbus.log).

I am afraid I know nothing about dbus so I hope someone else will be
able to learn something from these to help.

Andrew